clear

***************************************************
* Evolution of the value of the state's portfolio *
***************************************************

use "Data/Final/state_stock_returns", clear

gen value = shares * price

collapse (sum) value, by(date)
drop if value == 0

tsset date

* Non-edited graph
twoway tsline value
graph export "Output/graph_state_portfolio.png", replace
graph export "Output/graph_state_portfolio.eps", replace

* Edited graph
replace value = value * 10^(-9)
twoway tsline value, lcolor(black) lwidth(medthick) xtitle("") ylabel(50(10)90, nogrid angle(0)) ytitle("State's portfolio value" "(in billions euros)") xlabel(,format(%tdMon_CCYY)) graphregion(color(white)) bgcolor(white)
graph export "Output/graph_state_portfolio_clean.png", replace
graph export "Output/graph_state_portfolio_clean.eps", replace
